> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# ミュート中のユーザー一覧の取得

> ミュートしているユーザーの一覧を取得します

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

このガイドでは、X API を使用してミュートしているユーザーのリストを取得する方法を説明します。

<Note>
  **前提条件**

  始める前に、次のものが必要です。

  * 承認済みの App を持つ[開発者アカウント](https://developer.x.com/en/portal/petition/essential/basic-info)
  * ユーザーアクセストークン (OAuth 1.0a または OAuth 2.0 PKCE)
</Note>

***

<div id="get-your-muted-users">
  ## ミュートしているユーザーを取得する
</div>

<Steps>
  <Step title="自分のユーザー ID を取得する">
    認証済みユーザーの ID が必要です。[ユーザー照会エンドポイント](/ja/x-api/users/lookup/introduction)を使うか、Access Token から確認できます (数値の部分があなたのユーザー ID です) 。
  </Step>

  <Step title="ミュートしているユーザーをリクエストする">
    <CodeGroup dropdown>
      ```bash cURL theme={null}
      curl "https://api.x.com/2/users/123456789/muting?\
      user.fields=created_at,username,verified&\
      max_results=100" \
        -H "Authorization: Bearer $USER_ACCESS_TOKEN"
      ```

      ```python Python SDK theme={null}
      from xdk import Client

      client = Client(bearer_token="YOUR_USER_ACCESS_TOKEN")

      # ページネーション付きでミュートしているユーザーを取得
      for page in client.users.get_muting(
          "123456789",
          user_fields=["created_at", "username", "verified"],
          max_results=100
      ):
          for user in page.data:
              print(f"{user.username} - Muted")
      ```

      ```javascript JavaScript SDK theme={null}
      import { Client } from "@xdevplatform/xdk";

      const client = new Client({ accessToken: "YOUR_USER_ACCESS_TOKEN" });

      // ページネーション付きでミュートしているユーザーを取得
      const paginator = client.users.getMuting("123456789", {
        userFields: ["created_at", "username", "verified"],
        maxResults: 100,
      });

      for await (const page of paginator) {
        page.data?.forEach((user) => {
          console.log(`${user.username} - Muted`);
        });
      }
      ```
    </CodeGroup>
  </Step>

  <Step title="レスポンスを確認する">
    ```json theme={null}
    {
      "data": [
        {
          "id": "2244994945",
          "name": "X Developers",
          "username": "XDevelopers",
          "created_at": "2013-12-14T04:35:55.000Z",
          "verified": true
        }
      ],
      "meta": {
        "result_count": 1,
        "next_token": "1710819323648428707"
      }
    }
    ```
  </Step>
</Steps>

***

<div id="include-additional-data">
  ## 追加データを取得する
</div>

expansions を使って、ピン留めされた投稿などの関連データを取得します:

<CodeGroup dropdown>
  ```bash cURL theme={null}
  curl "https://api.x.com/2/users/123456789/muting?\
  user.fields=created_at&\
  expansions=pinned_tweet_id&\
  tweet.fields=created_at" \
    -H "Authorization: Bearer $USER_ACCESS_TOKEN"
  ```

  ```python Python SDK theme={null}
  from xdk import Client

  client = Client(bearer_token="YOUR_USER_ACCESS_TOKEN")

  # expansions を指定してミュートしているユーザーを取得
  for page in client.users.get_muting(
      "123456789",
      user_fields=["created_at"],
      expansions=["pinned_tweet_id"],
      tweet_fields=["created_at"]
  ):
      for user in page.data:
          print(f"{user.username}")
      # ピン留めされた投稿は page.includes.tweets に含まれます
  ```

  ```javascript JavaScript SDK theme={null}
  import { Client } from "@xdevplatform/xdk";

  const client = new Client({ accessToken: "YOUR_USER_ACCESS_TOKEN" });

  // expansions を指定してミュートしているユーザーを取得
  const paginator = client.users.getMuting("123456789", {
    userFields: ["created_at"],
    expansions: ["pinned_tweet_id"],
    tweetFields: ["created_at"],
  });

  for await (const page of paginator) {
    page.data?.forEach((user) => {
      console.log(user.username);
    });
    // ピン留めされた投稿は page.includes?.tweets に含まれます
  }
  ```
</CodeGroup>

<div id="response-with-expansion">
  ### expansions を含めたレスポンス
</div>

```json theme={null}
{
  "data": [
    {
      "username": "XDevelopers",
      "created_at": "2013-12-14T04:35:55.000Z",
      "id": "2244994945",
      "name": "X Developers",
      "pinned_tweet_id": "1430984356139470849"
    }
  ],
  "includes": {
    "tweets": [
      {
        "created_at": "2021-08-26T20:03:51.000Z",
        "id": "1430984356139470849",
        "text": "Help us build a better X Developer Platform!..."
      }
    ]
  },
  "meta": {
    "result_count": 1
  }
}
```

***

<div id="paginate-through-results">
  ## 結果をページングする
</div>

SDK はページネーションを自動的に処理します。cURL を使用する場合は、レスポンスで返される `next_token` を使用します。

```bash theme={null}
curl "https://api.x.com/2/users/123456789/muting?\
max_results=100&\
pagination_token=1710819323648428707" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN"
```

***

<div id="next-steps">
  ## 次のステップ
</div>

<CardGroup cols={2}>
  <Card title="ミュートを管理" icon="volume-xmark" href="/ja/x-api/users/mutes/quickstart/manage-mutes-quickstart">
    ユーザーをミュート／ミュート解除する
  </Card>

  <Card title="APIリファレンス" icon="code" href="/ja/x-api/users/get-muted-users">
    エンドポイントの詳細リファレンス
  </Card>
</CardGroup>
